package com.cirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 训练集数据列对象 sys_train
 * 
 * @author allen
 * @date 2023-11-28
 */
public class SysTrain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 使用场景 */
    @Excel(name = "使用场景")
    private String useScene;

    /** 查询条件 */
    @Excel(name = "查询条件")
    private String searchCondition;

    /** 标准结果1（元器件名称1-型号规格1-质量等级1） */
    @Excel(name = "标准结果1")
    private String result1;

    private Long result1Id;

    /** 标准结果2（元器件名称2-型号规格2-质量等级2） */
    @Excel(name = "标准结果2")
    private String result2;

    private Long result2Id;

    /** 标准结果3（元器件名称3-型号规格3-质量等级3） */
    @Excel(name = "标准结果3")
    private String result3;

    public Long getResult2Id() {
        return result2Id;
    }

    public void setResult2Id(Long result2Id) {
        this.result2Id = result2Id;
    }

    public Long getResult4Id() {
        return result4Id;
    }

    public void setResult4Id(Long result4Id) {
        this.result4Id = result4Id;
    }

    public Long getResult5Id() {
        return result5Id;
    }

    public void setResult5Id(Long result5Id) {
        this.result5Id = result5Id;
    }

    public Long getResult1Id() {
        return result1Id;
    }

    public void setResult1Id(Long result1Id) {
        this.result1Id = result1Id;
    }

    private Long result3Id;

    /** 标准结果4（元器件名称4-型号规格4-质量等级4） */
    @Excel(name = "标准结果4")
    private String result4;

    private Long result4Id;

    public Long getResult3Id() {
        return result3Id;
    }

    public void setResult3Id(Long result3Id) {
        this.result3Id = result3Id;
    }

    /** 标准结果5（元器件名称5-型号规格5-质量等级5） */
    @Excel(name = "标准结果5")
    private String result5;

    private Long result5Id;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUseScene(String useScene) 
    {
        this.useScene = useScene;
    }

    public String getUseScene() 
    {
        return useScene;
    }
    public void setSearchCondition(String searchCondition) 
    {
        this.searchCondition = searchCondition;
    }

    public String getSearchCondition() 
    {
        return searchCondition;
    }
    public void setResult1(String result1) 
    {
        this.result1 = result1;
    }

    public String getResult1() 
    {
        return result1;
    }
    public void setResult2(String result2) 
    {
        this.result2 = result2;
    }

    public String getResult2() 
    {
        return result2;
    }
    public void setResult3(String result3) 
    {
        this.result3 = result3;
    }

    public String getResult3() 
    {
        return result3;
    }
    public void setResult4(String result4) 
    {
        this.result4 = result4;
    }

    public String getResult4() 
    {
        return result4;
    }
    public void setResult5(String result5) 
    {
        this.result5 = result5;
    }

    public String getResult5() 
    {
        return result5;
    }

    @Override
    public String toString() {
        return "SysTrain{" +
                "id=" + id +
                ", useScene='" + useScene + '\'' +
                ", searchCondition='" + searchCondition + '\'' +
                ", result1='" + result1 + '\'' +
                ", result1Id=" + result1Id +
                ", result2='" + result2 + '\'' +
                ", result2Id=" + result2Id +
                ", result3='" + result3 + '\'' +
                ", result3Id=" + result3Id +
                ", result4='" + result4 + '\'' +
                ", result4Id=" + result4Id +
                ", result5='" + result5 + '\'' +
                ", result5Id=" + result5Id +
                '}';
    }
}
